This URL gets the upgrade software status.
Resource URL
GET sensor/<sensor_id>/ deploydevicesoftware/<requestId>
Request Parameters
URL Parameter
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Sensor ID | Number | Yes |
| Request ID returned while issuing the Sensor upgrade | String | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Percentage of the upgrade completed | Number |
| Update message | String |
Example
Request
PUT https://<NSM_IP>/sdkapi/sensor/1001/deploydevicesoftware/1337547887180
Response
{
" updatePercentageComplete ": 100,
“updateStatusMessage” : “DOWNLOAD COMPLETE”
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 1106 | Invalid Sensor ID |